io.undertow.protocols.ssl

## Class SNIContextMatcher

- java.lang.Object
- - io.undertow.protocols.ssl.SNIContextMatcher

    public class SNIContextMatcher
    extends Object

### Nested Class Summary

Nested Classes
`static class` `SNIContextMatcher.Builder`

### Method Summary

All Methods Instance Methods Concrete Methods
`SSLContext` `getContext(List<SNIServerName> servers)`
`SSLContext` `getDefaultContext()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getContext

    public SSLContext getContext(List<SNIServerName> servers)

#### getDefaultContext

    public SSLContext getDefaultContext()